Onepiece XP Post-SP3 AIO Update Pack FINAL

Windows XP Professional Update Pack discussion.
Post Reply
User avatar
ricktendo64
Posts: 3213
Joined: Mon May 22, 2006 12:27 am
Location: Honduras

Post by ricktendo64 » Sun Jul 25, 2010 1:23 am

Its a typo, KB959085 replaces KB957579 and KB975167 updates a file

User avatar
5eraph
Site Admin
Posts: 4618
Joined: Tue Jul 05, 2005 9:38 pm
Location: Riverview, MI USA

Post by 5eraph » Sun Jul 25, 2010 3:37 am

It's actually not a typo, Rick.

In v3.2.0, all files except afd.sys in KB957579 were superseded by either KB951163 or KB959085, as shown below. When KB975167 was added for v3.3.0, it effectively superseded the remaining file from KB957579. The changelog is correct. :)

File list for KB957579 in update pack v3.2.0:
  • afd.sys —Current. (since v2.5.0)
    dnsapi.dll —Superseded by KB959085. (since v2.5.1)
    dnsrslvr.dll —Superseded by KB959085. (since v2.5.1)
    mswsock.dll —Superseded by KB951163. (since v1.5.2)
    system.adm —Superseded by KB959085. (since v2.5.1)
    tcpip.sys —Superseded by KB951163. (since v1.5.2)
    tcpip6.sys —Superseded by KB951163. (since v1.5.2)

klenot
Posts: 6
Joined: Sun May 16, 2010 8:12 am
Location: Czech Republic

Post by klenot » Sun Jul 25, 2010 6:07 am

Weel, here I summarized the versions of DNS and afd related files:

Code: Select all

HF branch>  GDR     qfe     GDR     qfe     GDR     GDR     qfe
     HF--> 951748  [color=#00ff00]951163[/color]  956803  [color=#00ff00]959085[/color]  958752  957579  [color=#00ff00]975167[/color]
file______
afd         5625    5649    5657    5657    5695    5695    [color=#00ff00]5877[/color]
dnsapi      5625    5649            [color=#00ff00]5817[/color]            5797
dnsrslvr                            [color=#00ff00]5817[/color]            5797
mswsock     5625    [color=#00ff00]5649[/color]            5625            5625
system.adm                         [color=#00ff00]090418[/color]          090418
tcpip       5625    [color=#00ff00]5649[/color]            5625            5625
tcpip6      5625    [color=#00ff00]5649[/color]            5625            5625

Hotfixes in green have sense to be integrated.
Green version numbers are the highest available for a specific file.
Last edited by klenot on Sun Jul 25, 2010 8:21 am, edited 1 time in total.

klenot
Posts: 6
Joined: Sun May 16, 2010 8:12 am
Location: Czech Republic

KB955043 is now obsolete.

Post by klenot » Sun Jul 25, 2010 6:11 am

KB955043 is now obsolete, because:

- The file Dhtmled.ocx has been replaced by KB973869.
- The file Triedit.dll has been replaced by KB956844.

User avatar
5eraph
Site Admin
Posts: 4618
Joined: Tue Jul 05, 2005 9:38 pm
Location: Riverview, MI USA

Post by 5eraph » Sun Jul 25, 2010 7:09 am

klenot wrote:Weel, here I summarized the versions of DNS and afd related files:

Code: Select all

HF branch>  GDR     qfe     GDR     qfe     GDR     GDR     qfe
     HF--> 951748  [color=#00ff00]951163[/color]  956803  [color=#00ff00]959085[/color]  958752  957579  [color=#00ff00]975167[/color]
[...]
Hotfixes in green have meaning to be integrated.
Your summary appears to be correct.

It should be mentioned that all currently maintained update packs on this forum, including this one, only use the QFE branch when available. All GDR update packages include QFE branches, which include all GDR fixes in addition to the QFE fixes.
klenot wrote:KB955043 is now obsolete, because:

- The file Dhtmled.ocx has been replaced by KB973869.
- The file Triedit.dll has been replaced by KB956844.
You are correct. This vestigial update in the current pack appears to have been due to an oversight when KB973869 was added for update pack v2.7.0, which included many new updates. dhtmled.dll was not tagged as obsolete in OnePiece's INF file. This led to it being overlooked when KB956844 was added for v2.8.0. KB955043-v2 should have been removed when the triedit.dll update was added.

The extra catalog file and registry entries still in the pack for KB955043-v2 are harmless.

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Mon Jul 26, 2010 2:32 am

Well, that update is really a mess but inside .inf file you can always find what you need. In this case:

Code: Select all

[KB959085.AddReg]
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085", "Description", %REG_SZ%, "%LOC_UPDATE% for %PRODUCT_NAME% (KB959085)"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085", "InstalledBy", %REG_SZ%, "%NAME%"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085", "InstalledDate", %REG_SZ%, "%VERSION%"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085", "Type", %REG_SZ%, "Update"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\0", "FileName", %REG_SZ%, "dnsrslvr.dll"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\0", "Version", %REG_SZ%, "5.1.2600.5817"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\0", "BuildDate", %REG_SZ%, "Fri May 22 09:45:35 2009"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\0", "BuildCheckSum", %REG_SZ%, "b742"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\0", "Location", %REG_SZ%, "%11%"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\1", "FileName", %REG_SZ%, "dnsapi.dll"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\1", "Version", %REG_SZ%, "5.1.2600.5817"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\1", "BuildDate", %REG_SZ%, "Fri May 22 09:45:35 2009"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\1", "BuildCheckSum", %REG_SZ%, "29e23"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\5", "FileName", %REG_SZ%, "tcpip.sys"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\5", "Version", %REG_SZ%, "5.1.2600.5625"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\5", "BuildDate", %REG_SZ%, "Fri Jun 20 13:58:59 2008"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\5", "BuildCheckSum", %REG_SZ%, "67a82"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\6", "FileName", %REG_SZ%, "system.adm"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB959085\Filelist\6", "Location", %REG_SZ%, "%17%"


[KB951163.AddReg]
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB951163", "Description", %REG_SZ%, "%LOC_UPDATE% for %PRODUCT_NAME% (KB951163)"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB951163", "InstalledBy", %REG_SZ%, "%NAME%"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB951163", "InstalledDate", %REG_SZ%, "%VERSION%"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB951163", "Type", %REG_SZ%, "Update"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB951163\Filelist\3", "FileName", %REG_SZ%, "mswsock.dll"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB951163\Filelist\3", "Version", %REG_SZ%, "5.1.2600.5649"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB951163\Filelist\3", "BuildDate", %REG_SZ%, "Mon Jul 28 15:41:07 2008"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB951163\Filelist\3", "BuildCheckSum", %REG_SZ%, "43ee5"

[KB978338.AddReg]
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB978338", "Description", %REG_SZ%, "%LOC_SECURITY_UPDATE% for %PRODUCT_NAME% (KB978338)"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB978338", "InstalledBy", %REG_SZ%, "%NAME%"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB978338", "InstalledDate", %REG_SZ%, "%VERSION%"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB978338", "Type", %REG_SZ%, "Update"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB978338\Filelist\0", "FileName", %REG_SZ%, "tcpip6.sys"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB978338\Filelist\0", "Version", %REG_SZ%, "5.1.2600.5935"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB978338\Filelist\0", "BuildDate", %REG_SZ%, "Thu Feb 11 12:36:49 2010"
    HKLM, "%UpdateRegKey%\%PRODUCT_NAME%\SP%SERVICE_PACK_NUMBER%\KB978338\Filelist\0", "BuildCheckSum", %REG_SZ%, "45cb6"
KB955043-v2 is obsolete, it has been left in changelog accidentally.
Logs have been fixed and KB955043-v2.cat file will be removed from pack in next release. Thanks for pointing this out.
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

User avatar
Kelsenellenelvian
Moderator
Posts: 4383
Joined: Tue Nov 30, 2004 8:32 pm
Location: Pocatello, ID
Contact:

Post by Kelsenellenelvian » Wed Jul 28, 2010 2:49 am

Hey nonno?

Can you guys add a progress bar to the .net installations?

ALOT of people (Myself included) have been freaked out\confused by the LOOOOOONG wait that the .net takes.

User avatar
ricktendo64
Posts: 3213
Joined: Mon May 22, 2006 12:27 am
Location: Honduras

Post by ricktendo64 » Wed Jul 28, 2010 10:18 am

Kelsenellenelvian wrote:Hey nonno?

Can you guys add a progress bar to the .net installations?

ALOT of people (Myself included) have been freaked out\confused by the LOOOOOONG wait that the .net takes.
Dont they use the TRUE dotNet addons?

I dont think a progress bar will show

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Wed Jul 28, 2010 4:45 pm

Actually there is a way to see a sort of progress bar during setup by pressing Shift+F11, not very accurate but better than nothing. Here are some screens of what appears:

NetFx11
Image

NetFx20
Image

PowerShell and other Windows components
Image

NetFx30
Image

NetFx35
Image

NetFx40
Image
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

jfcarbel
Posts: 158
Joined: Tue Apr 15, 2008 2:08 am

Post by jfcarbel » Thu Jul 29, 2010 2:06 am

Does this AIO include:

Microsoft Visual C++ 2005 SP1 and 2008 SP1 Redstributables Package?

If not can someone suggest an good AddOn for this

User avatar
Pasha_ZZZ
Posts: 242
Joined: Thu Jul 13, 2006 6:27 am
Location: Russia, Slobodskoy

Post by Pasha_ZZZ » Thu Jul 29, 2010 2:44 am

Microsoft-only runtimes: Microsoft Runtime Libraries 1.4.8 (32-bit)
AiO runtimes: Kels' Runtimes v6.8

I think VC runtimes already in the pack:
1) VC 2005 runtimes required for .NET 2.0
2) VC 2008 runtimes - for .NET 3.5
3) VC 2010 - for .NET 4.0

User avatar
Kelsenellenelvian
Moderator
Posts: 4383
Joined: Tue Nov 30, 2004 8:32 pm
Location: Pocatello, ID
Contact:

Post by Kelsenellenelvian » Thu Jul 29, 2010 4:24 am

Shift+f11?

VERY HANDY!

User avatar
ricktendo64
Posts: 3213
Joined: Mon May 22, 2006 12:27 am
Location: Honduras

Post by ricktendo64 » Thu Jul 29, 2010 4:44 am

Forgot about good ol Shift+F11

User avatar
Pasha_ZZZ
Posts: 242
Joined: Thu Jul 13, 2006 6:27 am
Location: Russia, Slobodskoy

Post by Pasha_ZZZ » Thu Jul 29, 2010 10:47 am

We can use this guide to switch setup to classic style with progress bar... Or use Nlite instead.

User avatar
OnePiece Alb
Posts: 525
Joined: Sat Sep 01, 2007 7:01 pm
Location: Albania
Contact:

Post by OnePiece Alb » Thu Jul 29, 2010 7:09 pm

ricktendo64 wrote:Forgot about good ol Shift+F11
:lol: :lol: I remember him always from you (you used it years ago), along with the F10

jfcarbel
Posts: 158
Joined: Tue Apr 15, 2008 2:08 am

Post by jfcarbel » Fri Jul 30, 2010 5:59 pm

Pasha_ZZZ wrote:I think VC runtimes already in the pack:
1) VC 2005 runtimes required for .NET 2.0
2) VC 2008 runtimes - for .NET 3.5
3) VC 2010 - for .NET 4.0
I looked at first post and can find no indication of this. I generally included the RogueSpear one (Microsoft Visual C++ 2005 SP1 and 2008 SP1 Redstributables Package)

User avatar
Pasha_ZZZ
Posts: 242
Joined: Thu Jul 13, 2006 6:27 am
Location: Russia, Slobodskoy

Post by Pasha_ZZZ » Sat Jul 31, 2010 4:10 am

jfcarbel wrote:I looked at first post and can find no indication of this
Waiting for Nonno/Onepiece comment this... ;-)

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Sat Jul 31, 2010 5:11 am

jfcarbel wrote:Does this AIO include:

Microsoft Visual C++ 2005 SP1 and 2008 SP1 Redstributables Package?

If not can someone suggest an good AddOn for this
VC2005 runtimes are required since .net 2.0 and already included, as well VC2008 runtimes in .net 3.5, at least the needed part of them.

VC2010 is no more part of .net 4.0 (oddly) so they're not included.

You can use Kels' Addon
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

Skram
Posts: 26
Joined: Wed Mar 07, 2007 1:14 am

Media Center

Post by Skram » Mon Aug 02, 2010 6:01 pm

Has anyone had success integrating this AIO into Media Center? I've tried using nLite (which I think may not be able to update MCE?), and I've tried using the Nonno Fabio program to update MCE to post SP3. I've slip streamed SP3 into MCE SP2, then the post SP3 updates. I get two .NET 2.0 error messages while installing using the slip streamed version. I found a MCE SP3 disc on the 'net, but there seems to be issues with that, as I used nLite to integrate post SP3 updates, and once installed all I see available is .NET 1.1, even though the add/remove components has all the .NET versions installed.

Anyway, how do others get a good MCE disc updated to post SP3 to work? I have Home & Pro working great.

User avatar
ricktendo64
Posts: 3213
Joined: Mon May 22, 2006 12:27 am
Location: Honduras

Post by ricktendo64 » Mon Aug 02, 2010 6:06 pm

Easier to add a Media Center addon to your XP Pro SP3 disc

Includes Rollup 2 & Updates: http://www.wincert.net/forum/index.php? ... ct-3-2009/

BTW SP3 cannot be integrated into MCE SP2 http://social.technet.microsoft.com/for ... 3d5a0474a/

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Tue Aug 03, 2010 3:29 am

First integrate SP3 using this tool: Universal Updatepack/Addon Creator on your UNTOUCHED MCE source, then add in the updated source Onepiece's Post SP3 UpdatePack and test the .iso on a VM. If it's all OK, integrate the specific XP MCE Updates
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

Skram
Posts: 26
Joined: Wed Mar 07, 2007 1:14 am

Post by Skram » Tue Aug 03, 2010 1:32 pm

nonno fabio wrote:First integrate SP3 using this tool: Universal Updatepack/Addon Creator on your UNTOUCHED MCE source, then add in the updated source Onepiece's Post SP3 UpdatePack and test the .iso on a VM. If it's all OK, integrate the specific XP MCE Updates
When you say "then add in the updated source Onepiece's Post SP3 UpdatePack", would you suggest using nLite for best results?

Skram
Posts: 26
Joined: Wed Mar 07, 2007 1:14 am

Post by Skram » Tue Aug 03, 2010 6:24 pm

nonno fabio wrote:First integrate SP3 using this tool: Universal Updatepack/Addon Creator on your UNTOUCHED MCE source, then add in the updated source Onepiece's Post SP3 UpdatePack and test the .iso on a VM. If it's all OK, integrate the specific XP MCE Updates
I copied the 2nd CD of Media Center SP2 into a folder with the 1st. I ran that program to update to SP3 using Microsoft's SP3 file. Then I used nLite to just update using the AIO v3.9.0. Created an ISO and used VMWare to install. At the T-23 mark, I received these 2 error message popups:

medctrro.exe - .NET Framework Initialization Error
C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\ could not be loaded
-----
Registration error
Encountered errors during registration of Windows Media Center.
Please see {C:\WINDOWS\medctroc.Log} for details.

The .log file is too large to post. Has anyone run into this error before?

User avatar
ricktendo64
Posts: 3213
Joined: Mon May 22, 2006 12:27 am
Location: Honduras

Post by ricktendo64 » Tue Aug 03, 2010 6:30 pm

I think its because the new mce with update rollup 2 now needs .net 2.0, the old one used 1.1

Try adding a .net 2.0 addon to your disk

But its much easier to use the mce addon on a XP pro disk

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Wed Aug 04, 2010 3:12 am

MCE is a very old XP edition and its setup considers .net 1.0 the only and one existing .net framework and refuses everything else, 1.1, 2.0, etc.

When MCE setup registers "SonicDVDandCDBurning" (medctroc.dll), only .net 1.0 must be active, otherwise you'll get such an error.
Using Onepiece's method, newer .nets are forced to start only after medctroc.dll registration. If not, you could do this: extract netfx11.in_ in netfx11.inf and change:

Code: Select all

[NETFX11]
OptionDesc = "Microsoft .NET Framework"
Tip          = "Microsoft .NET Framework"
Modes      = 0,1,2,3
Needs      = wbem,com


in:
[NETFX11]

Code: Select all

OptionDesc = "Microsoft .NET Framework"
Tip          = "Microsoft .NET Framework"
Modes      = 0,1,2,3
Needs      = wbem,com,SonicDVDandCDBurning 
Recab it with Cabtool

If you've used Onepiece's method remember to copy CMPNENTS folder from your original MCE CD before integrating SP3
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

Skram
Posts: 26
Joined: Wed Mar 07, 2007 1:14 am

Post by Skram » Wed Aug 04, 2010 6:13 pm

nonno fabio wrote:MCE is a very old XP edition and its setup considers .net 1.0 the only and one existing .net framework and refuses everything else, 1.1, 2.0, etc.

When MCE setup registers "SonicDVDandCDBurning" (medctroc.dll), only .net 1.0 must be active, otherwise you'll get such an error.
Using Onepiece's method, newer .nets are forced to start only after medctroc.dll registration. If not, you could do this: extract netfx11.in_ in netfx11.inf and change:

Code: Select all

Needs      = wbem,com,SonicDVDandCDBurning
Recab it with Cabtool

If you've used Onepiece's method remember to copy CMPNENTS folder from your original MCE CD before integrating SP3
Well thank you. That fix to NETFX11.INF worked. Without ",SonicDVDandCDBurning" added and I got the error. With it the error was gone and all .NETs seem to be installed okay, and MC loaded okay too.

You say using OnePiece's method (The v3.9.0 update?) I shouldn't get that error since "newer .nets are forced to start only after medctroc.dll registration"?

But I used the OnePiece update pack and get that error. It seems the NETFX11.INF fix should be included in either the SP3 slipstream update process using your tool, or included in the OnePiece update pack. But in any case, I'll just have to manually alter the .INF file after every Media Center creation. Thanks again for your info and help.

cactus
Posts: 40
Joined: Wed Aug 04, 2010 12:21 pm

Post by cactus » Thu Aug 05, 2010 9:19 am

will we be seeing this integrated here?:
http://www.microsoft.com/downloads/deta ... laylang=en

separate integration in latest nlite causes this insertion to not be included. It fixes a remote code execution vulnerability. Published 3rd of this month.

EDIT:BTW as someone who manages updated installs of XP Pro SP3 and Win7 32/64 Ultimate(soon to be SP1) I have to say this is probably the best thing there is in terms of XP&slipstreaming. Too many people try to integrate garbage that will be dated by the time of install. This makes a good updated core, and doesn't require hunting and manual configuration.

JKL
Posts: 4
Joined: Tue Aug 03, 2010 1:21 pm

Post by JKL » Thu Aug 05, 2010 11:53 am

Can someone please tell me the correct way or a better way of integrating the following ...

1.) With RVM Integrator v1.6.1b2.1 ...integrate onepiece 3.9.0 update pack with my original untouched (extracted from .ISO with Nlite) XP files.
2.) Using RVM Integrator ...integrate all (one at a time) Removal Addons. Exception: I only remove .netFX 1.1 & 4.0.
3.) With RVM Integrator ...intregrate Kels Runtimes v6.8 addon.
4.) Nlite ...to remove extra languages & other tweaks.
5.) Using DPs BASE v10.06 ...add my perferred Driver Packs.
6.) Nlite ...to make the .ISO.


Thanks ...

Skram
Posts: 26
Joined: Wed Mar 07, 2007 1:14 am

Post by Skram » Thu Aug 05, 2010 12:11 pm

cactus wrote:Too many people try to integrate garbage that will be dated by the time of install. This makes a good updated core, and doesn't require hunting and manual configuration.
Which is why I run Ninite at the GUIRunOnce stage. All the apps I want installed will be the latest version downloaded from the inet. It also helps that I installed all the DriverPacks too, so LAN gets installed during the windows install.

cactus
Posts: 40
Joined: Wed Aug 04, 2010 12:21 pm

Post by cactus » Thu Aug 05, 2010 12:57 pm

Skram wrote:
cactus wrote:Too many people try to integrate garbage that will be dated by the time of install. This makes a good updated core, and doesn't require hunting and manual configuration.
Which is why I run Ninite at the GUIRunOnce stage. All the apps I want installed will be the latest version downloaded from the inet. It also helps that I installed all the DriverPacks too, so LAN gets installed during the windows install.
Yeah but I do offline installs on stuff like laptops, and sometimes even servers with 2008 where there are strange network gateways, and I just want to install and move on. This package is good for my XP SP3 installs. Hoping they can integrate that hotfix so I can make a new one. It looks like they did a lot of unpacking and rebuilding with scripts, so I didn't bother trying to do it myself.

vhick
Posts: 1
Joined: Sun Dec 06, 2009 5:56 pm
Location: Philippines

Post by vhick » Fri Aug 06, 2010 12:58 am

Please help me how to fix broken VSS? Last time I used Onepiece Update Pack is version 3.6.0 and VSS is working fine. But now I using this updated Update Pack and my VSS is not working again. I reinstall my XP and only this Update Pack is change in my integration.

Please help me. Thank you very much...

cactus
Posts: 40
Joined: Wed Aug 04, 2010 12:21 pm

Post by cactus » Fri Aug 06, 2010 1:56 am

I got a PM saying it wasn't going to be updated anymore. It's still good though, thanks guys.

User avatar
Kelsenellenelvian
Moderator
Posts: 4383
Joined: Tue Nov 30, 2004 8:32 pm
Location: Pocatello, ID
Contact:

Post by Kelsenellenelvian » Fri Aug 06, 2010 2:46 am

WHAT!?!?!

He said this was the last update pack?

cactus
Posts: 40
Joined: Wed Aug 04, 2010 12:21 pm

Post by cactus » Fri Aug 06, 2010 3:05 am

Kelsenellenelvian wrote:WHAT!?!?!

He said this was the last update pack?
For this supposedly. They do other stuff I think. I only manage SP3 and 7 ultimate SP1, so this is what I really need, and just wanted to get that last hot-fix integrated.

Skram
Posts: 26
Joined: Wed Mar 07, 2007 1:14 am

Post by Skram » Fri Aug 06, 2010 5:19 pm

Ya know, I fix one thing, and other breaks. Now after my MCE install, it wants to install KB900325 (the mce rollup 2). But it bombs during install right after it tries to install KB891593. Not sure what's going on with it. Some searches show that KB900325 should actually already be installed as a prerequisite for Media Player 11. I tried to uninstall MP11 and Rollup 2 still doesn't install.

Again I'm wondering if anyone else had run into this? Maybe I just shouldn't integrate MP11? How would one not integrate WMP11 into the disc?

jfcarbel
Posts: 158
Joined: Tue Apr 15, 2008 2:08 am

Post by jfcarbel » Sun Aug 08, 2010 3:38 pm

Heads up folkis, big patch release coming Tuesday, biggest one yet according to this post. Be aware the patches on Tuesday do not include the shortcut security fix released last week.

http://arstechnica.com/microsoft/news/2 ... letins.ars

cactus
Posts: 40
Joined: Wed Aug 04, 2010 12:21 pm

Post by cactus » Sun Aug 08, 2010 3:59 pm

BTW that hotfix I linked to was the one to fix the thumbnail vulnerability being used by malware. It's not remote, but can be used to leverage attacks. These others are new ones.

I have some time this evening I'm going to see what I can do with the latest build of nlite regarding that hotfix, then I will do these others if I'm successful and get a solid ISO based on SP3.

I will give instruction and links instead of uploading the whole thing since it's not all my work, and these guys aren't involved anymore.

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Mon Aug 09, 2010 5:18 am

cactus wrote:will we be seeing this integrated here?:
http://www.microsoft.com/downloads/deta ... laylang=en

separate integration in latest nlite causes this insertion to not be included. It fixes a remote code execution vulnerability. Published 3rd of this month.

EDIT:BTW as someone who manages updated installs of XP Pro SP3 and Win7 32/64 Ultimate(soon to be SP1) I have to say this is probably the best thing there is in terms of XP&slipstreaming. Too many people try to integrate garbage that will be dated by the time of install. This makes a good updated core, and doesn't require hunting and manual configuration.
Nlite should be able to update the source listing the hotfix after UpdatePack.
Anyway for RVMi users simply extract shell32.dll from the hotfix and save it inside updatepack overwriting existing one. Then extract also KB2286198.cat from hotfix and save it in pack Svcpack folder. Recompress UpdatePack and integrate.
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Mon Aug 09, 2010 5:23 am

Skram wrote:Ya know, I fix one thing, and other breaks. Now after my MCE install, it wants to install KB900325 (the mce rollup 2). But it bombs during install right after it tries to install KB891593. Not sure what's going on with it. Some searches show that KB900325 should actually already be installed as a prerequisite for Media Player 11. I tried to uninstall MP11 and Rollup 2 still doesn't install.

Again I'm wondering if anyone else had run into this? Maybe I just shouldn't integrate MP11? How would one not integrate WMP11 into the disc?
You must use KB900325.exe file only. Extract it from WindowsXPMediaCenter2005-KB900325-usa.EXE: remaining stuff is not needed

Image
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

cactus
Posts: 40
Joined: Wed Aug 04, 2010 12:21 pm

Post by cactus » Mon Aug 09, 2010 6:14 am

nonno fabio wrote: Nlite should be able to update the source listing the hotfix after UpdatePack.
Anyway for RVMi users simply extract shell32.dll from the hotfix and save it inside updatepack overwriting existing one. Then extract also KB2286198.cat from hotfix and save it in pack Svcpack folder. Recompress UpdatePack and integrate.
Thanks. Hope you guys decide to keep updating this, a lot of people, especially developers still use XP SP3.

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Mon Aug 09, 2010 8:40 am

Nothing make believe this updatepack will be discontinued... It will be updated as usual
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

kandurak
Posts: 38
Joined: Thu Jan 24, 2008 5:34 am
Location: India

Post by kandurak » Tue Aug 10, 2010 12:24 am

nonno fabio wrote:Nothing make believe this updatepack will be discontinued... It will be updated as usual
Now I can breath easy.

Thank you very much nonno...

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Tue Aug 10, 2010 2:59 am

Now the XP development is closed: no WMP12 and IE9, all dotnets are already inside, so the UpdatePack framework is pretty final and, like recent win2k, its updating won't require so much work as in the past.
Don't worry... ;)
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

cosy
Posts: 278
Joined: Tue Apr 18, 2006 11:56 pm

Post by cosy » Tue Aug 10, 2010 5:32 am

nonno fabio wrote: Don't worry... ;)
hmm, I'm worried to hear that, is that the news from the big brother Bill?

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Tue Aug 10, 2010 8:54 am

If he won't change his mind...
IE9 preview requires at least Vista SP2:
http://ie.microsoft.com/testdrive/info/ ... quirements
and if it will be released a standalone version of WMP12, it will have same prerequisites (Vista)
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead


Skram
Posts: 26
Joined: Wed Mar 07, 2007 1:14 am

Post by Skram » Tue Aug 10, 2010 7:31 pm

nonno fabio wrote:You must use KB900325.exe file only. Extract it from WindowsXPMediaCenter2005-KB900325-usa.EXE: remaining stuff is not needed
Well, thanks again for the info and fix. The windows update even downloaded the larger patch with the other KBs. So I extracted just the KB900325, and it installed okay. All the rest of the windows updates just installed okay too. Thanks again. :)

cactus
Posts: 40
Joined: Wed Aug 04, 2010 12:21 pm

Post by cactus » Wed Aug 11, 2010 7:58 pm


ccuappz
Posts: 37
Joined: Tue Sep 06, 2005 7:13 am

Post by ccuappz » Wed Aug 11, 2010 8:56 pm

nonno fabio,

Is this v4.0.0 considered to be final? :D

cactus
Posts: 40
Joined: Wed Aug 04, 2010 12:21 pm

Post by cactus » Wed Aug 11, 2010 10:11 pm

MU MF HF links would be nice. I get corrupted downloads from that server. I'm trying again now. They haven't actually published it, it's in that index though.

Post Reply